net.sf.cglib.transform.impl

## Class UndeclaredThrowableStrategy

- java.lang.Object
- - net.sf.cglib.core.DefaultGeneratorStrategy
  - - net.sf.cglib.transform.impl.UndeclaredThrowableStrategy

- All Implemented Interfaces:
    GeneratorStrategy

      public class UndeclaredThrowableStrategy
      extends DefaultGeneratorStrategy

  A `GeneratorStrategy` suitable for use with `net.sf.cglib.Enhancer` which causes all undeclared exceptions thrown from within a proxied method to be wrapped in an alternative exception of your choice.

- - ### Field Summary

    - ### Fields inherited from class net.sf.cglib.core.DefaultGeneratorStrategy

      `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndeclaredThrowableStrategy(java.lang.Class wrapper)` Create a new instance of this strategy.

  - ### Method Summary

    - ### Methods inherited from class net.sf.cglib.core.DefaultGeneratorStrategy

      `generate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.cglib.core.GeneratorStrategy

      `equals`

- - ### Constructor Detail

    - #### UndeclaredThrowableStrategy

          public UndeclaredThrowableStrategy(java.lang.Class wrapper)

      Create a new instance of this strategy.
      Parameters:
        `wrapper` - a class which extends either directly or indirectly from `Throwable` and which has at least one constructor that takes a single argument of type `Throwable`, for example `java.lang.reflect.UndeclaredThrowableException.class`

Copyright (c) 2001 - Apache Software Foundation